#include <iostream>
#include <vector>
#include <deque>
// #include <set>
#include <algorithm>
#include <cmath>
// #include <queue>

using namespace std;

int main() {
    
    string s;
    cin >> s;

    int a, b;
    cin >> a >> b;

    char a1, a2;

    if (a > b + 1 or b > a + 1) {
        cout << "nemoguce" << endl;
        return 0;
    } else {
        if (a > b) {
            a1 = s[0];
            a2 = s[1];
        } else {
            a1 = s[1];
            a2 = s[0];
        }

        string ans = "";
        for (int i = 0; i < a + b; i++) {
            if (i % 2)
                ans += a2;
            else
                ans += a1;
        }

        cout << ans << endl;
    }

    return 0;
}